### Property

# Gio TlsConnection:peer-certificate

since: 2.28

#### Declaration

    property peer-certificate: Gio.TlsCertificate [ read ]

#### Description

The connection’s peer’s certificate, after the TLS handshake has completed or failed. Note in particular that this is not yet set during the emission of `GTlsConnection::accept-certificate`.

(You can watch for a `GObject::notify` signal on this property to detect when a handshake has occurred.).

Type:`GTlsCertificate`

Available since: 2.28

Getter method | `g_tls_connection_get_peer_certificate()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no